PrefabFiles = {
	"tomhanks",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/tomhanks.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/tomhanks.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/tomhanks.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tomhanks.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/tomhanks_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tomhanks_silho.xml" ),

    Asset( "IMAGE", "bigportraits/tomhanks.tex" ),
    Asset( "ATLAS", "bigportraits/tomhanks.xml" ),
	
	Asset( "IMAGE", "images/map_icons/tomhanks.tex" ),
	Asset( "ATLAS", "images/map_icons/tomhanks.xml" ),

}

local require = GLOBAL.require

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.tomhanks = "The Castaway"
GLOBAL.STRINGS.CHARACTER_NAMES.tomhanks = "Tom Hanks"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.tomhanks = "*Is very Likeable\n*A descendant of Abe Lincoln\n*Has Type 2 Diabetes"
GLOBAL.STRINGS.CHARACTER_QUOTES.tomhanks = "\"WILSON! I'M SORRY!\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.TOMHANKS = require "speech_tomhanks"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "tomhanks")

local forbidden_foodset = {
    honey = true,
    taffy = true,
	pumpkincookie = true,
	honeynuggets = true,
	honeyham = true,
	icecream = true,
	waffles = true,
	trailmix = true,
	butter = true,
	butterflymuffin = true,
	dragonpie = true,
}
 
function pickyeater(inst)
    if inst.prefab == "tomhanks" then
        inst.components.eater:SetCanEatTestFn(function(inst, food)
            return not food.prefab or not forbidden_foodset[food.prefab]
        end)
    end
end

AddMinimapAtlas("images/map_icons/tomhanks.xml")
AddModCharacter("tomhanks")
AddSimPostInit(pickyeater)
